none
ILM 2007 to FIM 2010 R2 SP1 migration - service is not running RRS feed

  • Question

  • Hi All,

    We are migrating ILM 2007 to FIM 2010 R2 SP1, We have successfully migrated to FIM 2010 R2 Sp1 with no issue in the Test environment. In production we have face no issue in migrating the ILM 2007 to FIM 2010 R2 SP1.

     As we have done this migration in production a long back and ILM was in use and we decide to ran down ILM and use FIM 2010 R2 SP1 going forward. 

    We have restored the FIMsyncronization database from the old SQL server that was in use for ILM 2007 till now. Now the service is not running and the error message is service was unable to start because the version of the database does not match the version of the product.”


    Kindly advice what need to be done to fix it.

    Regards,
    RajaVillageSync



    Friday, June 19, 2015 8:06 PM

All replies

  • You cannot restore ILM Database into FIM since the version of the product is different and it is stored in the DB. You need to run another upgrade of Sync ILM, or restore the 2010 DB. 


    Nosh Mernacaj, Identity Management Specialist

    Friday, June 19, 2015 8:15 PM
  • I am planning to use the option "Configure- Change the way features are installed", Does it will Work ? 


    Regards,
    RajaVillageSync


    Friday, June 19, 2015 8:16 PM
  • Thanks Nosh,

    We will check that.

    Friday, June 19, 2015 8:18 PM
  • Hi All,

    We are getting the same error message , does selecting the option Configure will work in this case ?

    Regards,
    Anirban Singha

    Sunday, June 21, 2015 11:48 AM
  • You need to understand The fact that Database contains system configuration tables and the minute you restored an ILM version, you broke that software. Only a revert back to FIM will fix the system. Or you sinply do a fresh upgrade of ILM.

    Nosh Mernacaj, Identity Management Specialist

    Sunday, June 21, 2015 4:48 PM